## bibletime 2.9.1

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.2)
SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")


################################################################################
# BibleTime version
################################################################################
# NOTICE! The version number must only be changed during the release procedures
#  A N D   N O T  during development or bug-fixing. This guarantees that all
# versions of BibleTime between OLDVERSION and NEXTVERSION have version strings
# in the form of OLDVERSION+githash where githash is the git commit hash ID.
#
# Note: for pre-#.#.0 versions, use the following suffixes:
#   _dev      if pre-beta1
#   _beta1    if post-beta1
#   _beta2    if post-beta2
#   _rc1    if post-rc1
#   _rc2    if post-rc2
# For post-full-release versions, no suffix is used.

SET(BT_VERSION_MAJOR "2")
SET(BT_VERSION_MINOR "9")
SET(BT_VERSION_PATCH "1")
#SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures


# Determine build, if needed:
IF (NOT (DEFINED BT_VERSION_BUILD))
    SET(Git_FIND_QUIETLY TRUE)
    FIND_PACKAGE(Git)
    IF (Git_FOUND)
        Git_WC_INFO(${PROJECT_SOURCE_DIR} BT)
        IF (DEFINED BT_WC_REVISION_HASH_SHORT)
            SET(BT_VERSION_BUILD "+${BT_WC_REVISION_HASH_SHORT}")
        ENDIF (DEFINED BT_WC_REVISION_HASH_SHORT)
    ENDIF (Git_FOUND)
ENDIF (NOT (DEFINED BT_VERSION_BUILD))

SET(BT_VERSION_FULL "${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}.${BT_VERSION_PATCH}${BT_VERSION_BUILD}")
MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_FULL}")

ADD_DEFINITIONS(-DBT_VERSION="${BT_VERSION_FULL}")

# Define debug flags
IF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    SET(CMAKE_BUILD_TYPE "Debug")
    ADD_DEFINITIONS(-DBT_DEBUG)
ELSE (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    ADD_DEFINITIONS(-DBT_NO_DEBUG -DNDEBUG -DQT_NO_DEBUG)
ENDIF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")

#Non-English locales to be processed and installed for UI, handbook and howto
LIST(APPEND MESSAGE_LOCALE_LANGS ar cs da de en_GB es et fi fr hu it nl nn_NO pl pt pt_BR ro ru sk zh_TW)
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS ar cs de es fi fr hu it nl pt_BR)
LIST(APPEND HOWTO_LOCALE_LANGS ar bg cs da de es fi fr it hu ko nl pt_BR ru)

# Find required packages
SET(QT_MIN_VERSION 4.5.0)
SET(QT_USE_QTXML 1)
SET(QT_USE_QTWEBKIT 1)
SET(QT_USE_QTMAIN 1)
FIND_PACKAGE(Qt4 REQUIRED)
IF (QT_QTDBUS_FOUND AND NOT APPLE)
    SET(QT_USE_QTDBUS 1)
    MESSAGE(STATUS "Using DBUS")
ELSE (QT_QTDBUS_FOUND AND NOT APPLE)
    ADD_DEFINITIONS(-DNO_DBUS)
    MESSAGE(STATUS "No DBUS found")
ENDIF (QT_QTDBUS_FOUND AND NOT APPLE)
# If cmake says that qdbusxml2cpp is missing, uncomment the following line
#SET(QT_DBUSXML2CPP_EXECUTABLE "/usr/bin/qdbusxml2cpp") #TEMP HACK?

#
#custom includes
#
FIND_PACKAGE(CLucene REQUIRED)

# optional: Try to detect CURL, ICU and ZLib and add it to the linker flags if found, maybe Sword needs it
FIND_PACKAGE(CURL)
FIND_PACKAGE(ICU)
FIND_PACKAGE(ZLIB)

FIND_PACKAGE(Sword REQUIRED)

# directory layout settings up front, needed in various places
SET(BT_DESTINATION "bin/")
SET(BT_SHARE_PATH "share/")
IF (APPLE)
    SET(BT_DESTINATION "../MacOS/")
    SET(BT_SHARE_PATH "../share/")
ENDIF (APPLE)

# Define $bibletime_SOURCES
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTSourceFileList.cmake")

#
# The actual build options
#
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
    ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
    ${CLUCENE_INCLUDE_DIR}            #CLucene headers
    ${CLUCENE_LIBRARY_DIR}            #CLucene/clucene-config.h
    ${SWORD_INCLUDE_DIR}
)

# this will run uic on .ui files:
QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})

# this will run moc on source files
QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})

SOURCE_GROUP("QM Files" REGULAR_EXPRESSION ".*\\.qm")

#This must come before the target definition!
LINK_DIRECTORIES(
    ${CLUCENE_LIBRARY_DIR}
    ${SWORD_LIBRARY_DIR}
)

SET(EXECUTABLE_NAME "bibletime")
IF (APPLE)
    SET(EXECUTABLE_NAME "BibleTime")
ENDIF (APPLE)


# Define rules to generate ${bibletime_UI_translations} files
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslation.cmake")

SET(common_bibletime_SOURCES
    ${bibletime_SOURCES}
    ${bibletime_UIS_H}
    ${bibletime_MOC_SOURCES}
    ${bibletime_RC}
    ${bibletime_UI_translations}
)

# For the Windows Application Icon
IF (MSVC)
    SET(common_bibletime_SOURCES
        ${common_bibletime_SOURCES}
        "cmake/BTWinIcon.rc"
    )

    SOURCE_GROUP( "Icon Files"
        FILES "cmake/BTWinIcon.rc" }
    )
    ADD_EXECUTABLE(${EXECUTABLE_NAME} WIN32 ${common_bibletime_SOURCES})
ELSE (MSVC)
    ADD_EXECUTABLE(${EXECUTABLE_NAME} ${common_bibletime_SOURCES})
ENDIF (MSVC)

#IF (CMAKE_BUILD_TYPE STREQUAL "Release")
#    SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
#        PROPERTIES
#            COMPILE_FLAGS "${SWORD_CFLAGS}" #Enable exception handling
#    )
#ENDIF (CMAKE_BUILD_TYPE STREQUAL "Release")

INCLUDE(${QT_USE_FILE})
TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
    ${QT_LIBRARIES}
    ${CLUCENE_LIBRARY}
    ${CURL_LIBRARIES} # optional, empty if not found
    ${ICU_LIBRARIES} # optional, empty if not found
    ${ICU_I18N_LIBRARIES} # optional, empty if not found
    ${ZLIB_LIBRARIES} # optional, empty if not found
    ${SWORD_LIBRARY}
)

IF (APPLE)
     # enable support MacOS 10.5+
    SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
        PROPERTIES
            COMPILE_FLAGS   "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
            LINK_FLAGS      "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
    )
ENDIF (APPLE)


IF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "install/") #install to ./build/install, allow override
ENDIF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

IF (APPLE)
    SET(CMAKE_INSTALL_PREFIX "install/BibleTime.app/Contents/Resources")
ENDIF (APPLE)

IF (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-DNO_DBUS -DSWUSINGDLL /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE ")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-DNO_DBUS -DSWUSINGDLL /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /ZI")
ELSE (MSVC)
    SET(CMAKE_CXX_FLAGS_RELEASE "-Wall -O2 -fexceptions")
    SET(CMAKE_CXX_FLAGS_DEBUG   "-Wall -Werror -O2 -ggdb -fexceptions")
ENDIF (MSVC)


# Install files
#

INSTALL(TARGETS "${EXECUTABLE_NAME}"
    DESTINATION "${BT_DESTINATION}"
)

# icons
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
    DESTINATION "${BT_SHARE_PATH}bibletime/icons/"
)
# icons - png, needed for About Dialog
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
    DESTINATION "${BT_SHARE_PATH}bibletime/icons/"
)
# display templates
FILE(GLOB INSTALL_DISPLAY_TEMPLATES_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.tmpl)
INSTALL(FILES ${INSTALL_DISPLAY_TEMPLATES_LIST}
    DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/"
)
FILE(GLOB INSTALL_DISPLAY_CSS_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.css)
INSTALL(FILES ${INSTALL_DISPLAY_CSS_LIST}
    DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/"
)
# javascript
INSTALL(FILES "src/frontend/display/bthtml.js"
    DESTINATION "${BT_SHARE_PATH}bibletime/javascript/"
)
# license.html
INSTALL(FILES "docs/license.html"
    DESTINATION "${BT_SHARE_PATH}bibletime/license/"
)
# splash screen
INSTALL(FILES "pics/startuplogo.png" "pics/startuplogo_christmas.png" "pics/startuplogo_easter.jpg"
    DESTINATION "${BT_SHARE_PATH}bibletime/pics/"
)
#
# Platform specific installation
#
# LINUX: application icon
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
    DESTINATION "${BT_SHARE_PATH}icons/"
)
# LINUX: desktop file
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake" "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop")
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
    DESTINATION "${BT_SHARE_PATH}applications/"
)
IF (MSVC)
    # sword locale information
    FILE(GLOB INSTALL_SWORD_LOCALE_LIST ${SWORD_INCLUDE_DIR}/../locales.d/*)
    INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
        DESTINATION "${BT_SHARE_PATH}sword/locales.d/"
    )

    # install pdb file for debugging purposes
    IF (CMAKE_BUILD_TYPE STREQUAL "Debug")
        SET( bibletime_PDB ${bibletime_BINARY_DIR}/Debug/bibletime.pdb)
        INSTALL (FILES "${bibletime_PDB}"
            DESTINATION "${BT_DESTINATION}"
        )
    ENDIF (CMAKE_BUILD_TYPE STREQUAL "Debug")
ENDIF (MSVC)

IF (APPLE)
    # sword locale information, needed for DMG image
    FILE(GLOB INSTALL_SWORD_LOCALE_LIST ${SWORD_INCLUDE_DIR}/../../share/sword/locales.d/*)
    INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
        DESTINATION "${BT_SHARE_PATH}sword/locales.d/"
    )
ENDIF (APPLE)


INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDeveloper.cmake")

IF (WIN32 AND NOT UNIX)
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
ENDIF (WIN32 AND NOT UNIX)
IF (APPLE)
    INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
ENDIF (APPLE)

######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY
)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
######################################################

=== debian/changelog ===
bibletime (2.9.1-2ubuntu1) raring; urgency=low

  * Build against clucene-core 2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 21 Nov 2012 10:37:05 +0000

bibletime (2.9.1-2) unstable; urgency=low

  * Disable -Werror to work-around FTBFS with gcc-4.7 (Closes: #667113)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Tue, 17 Apr 2012 22:40:49 +0100

bibletime (2.9.1-1) unstable; urgency=low

  [ Jonathan Marsden ]
  * New upstream version 2.9.1
  * debian/patches/*: Remove all patches (incorporated upstream)
  * debian/control: bibletime now depends on a matching version of
    bibletime-data.

  [ Dmitrijs Ledkovs ]
  * Add more strict alternative build-dependency on the libqt4-dev.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sat, 14 Apr 2012 18:11:50 +0100

=== debian/control ===
Source: bibletime
Section: kde
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
 libsword-dev (>> 1.6.2+dfsg-5), libclucene-dev, poxml, libboost-dev, cmake,
 pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev (<= 4:4.7.0~beta1)
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
Uploaders: Daniel Glassey <wdg@debian.org>, 
 Dmitrijs Ledkovs <xnox@debian.org>, 
 Jonathan Marsden <jmarsden@fastmail.fm>
Standards-Version: 3.9.3
Homepage: http://www.bibletime.info/

Package: bibletime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqtgui4 (>= 4.4.0),
 libqt4-svg (>=4.4.0),
 bibletime-data (=${source:Version})
Provides: sword-frontend
Description: bible study tool for Qt
 BibleTime is a free and easy to use bible study tool.
 It uses the Qt and SWORD software libraries.
 BibleTime provides easy handling of digitized texts (Bibles, commentaries
 and lexicons) and powerful features to work with these texts (search in
 texts, write own notes, save, print etc.) in the SWORD module format.

Package: bibletime-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bibletime
Conflicts: bibletime-i18n
Replaces: bibletime-i18n
Description: Documentation and data for bibletime, a bible study tool
 BibleTime is a free and easy to use bible study tool.
 .
 This package contains the help, online documentation and data files
 which BibleTime uses.

## bibletime 2.9.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 SET(BT_VERSION_MAJOR "2")
 SET(BT_VERSION_MINOR "9")
-SET(BT_VERSION_PATCH "1")
+SET(BT_VERSION_PATCH "2")
 #SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures
 
 
@@ -51,18 +51,35 @@
 ENDIF (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
 
 #Non-English locales to be processed and installed for UI, handbook and howto
-LIST(APPEND MESSAGE_LOCALE_LANGS ar cs da de en_GB es et fi fr hu it nl nn_NO pl pt pt_BR ro ru sk zh_TW)
+LIST(APPEND MESSAGE_LOCALE_LANGS ar da de en_GB es et fi fr hu it nl pt pt_BR ru sk zh_TW)
 #WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
 #also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
-LIST(APPEND HANDBOOK_LOCALE_LANGS ar cs de es fi fr hu it nl pt_BR)
+LIST(APPEND HANDBOOK_LOCALE_LANGS ar cs de es hu it pt_BR)
 LIST(APPEND HOWTO_LOCALE_LANGS ar bg cs da de es fi fr it hu ko nl pt_BR ru)
 
+IF(NOT BT_FORCE_USE_QT4)
+# Automatically use Qt5 if available
+FIND_PACKAGE(Qt5Core QUIET)
+ENDIF()
+
 # Find required packages
-SET(QT_MIN_VERSION 4.5.0)
-SET(QT_USE_QTXML 1)
-SET(QT_USE_QTWEBKIT 1)
-SET(QT_USE_QTMAIN 1)
-FIND_PACKAGE(Qt4 REQUIRED)
+IF (Qt5Core_FOUND)
+    FIND_PACKAGE(Qt5LinguistTools REQUIRED)
+    FIND_PACKAGE(Qt5PrintSupport REQUIRED)
+    FIND_PACKAGE(Qt5WebKit REQUIRED)
+    FIND_PACKAGE(Qt5WebKitWidgets REQUIRED)
+    FIND_PACKAGE(Qt5Widgets REQUIRED)
+    FIND_PACKAGE(Qt5Xml REQUIRED)
+    MESSAGE( "-- Found Qt5")
+ELSE (Qt5Core_FOUND)
+    SET(QT_MIN_VERSION 4.5.0)
+    SET(QT_USE_QTXML 1)
+    SET(QT_USE_QTWEBKIT 1)
+    SET(QT_USE_QTMAIN 1)
+    FIND_PACKAGE(Qt4 REQUIRED)
+    MESSAGE( "-- Found Qt4")
+ENDIF (Qt5Core_FOUND)
+
 IF (QT_QTDBUS_FOUND AND NOT APPLE)
     SET(QT_USE_QTDBUS 1)
     MESSAGE(STATUS "Using DBUS")
@@ -91,6 +108,7 @@
 IF (APPLE)
     SET(BT_DESTINATION "../MacOS/")
     SET(BT_SHARE_PATH "../share/")
+    SET(CMAKE_CXX_COMPILER "/usr/bin/g++")
 ENDIF (APPLE)
 
 # Define $bibletime_SOURCES
@@ -99,19 +117,35 @@
 #
 # The actual build options
 #
-INCLUDE_DIRECTORIES(
-    ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
-    ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
-    ${CLUCENE_INCLUDE_DIR}            #CLucene headers
-    ${CLUCENE_LIBRARY_DIR}            #CLucene/clucene-config.h
-    ${SWORD_INCLUDE_DIR}
-)
-
-# this will run uic on .ui files:
-QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})
-
-# this will run moc on source files
-QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})
+IF (Qt5Core_FOUND)
+    INCLUDE_DIRECTORIES(
+        ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
+        ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
+        ${CLUCENE_INCLUDE_DIR}            #CLucene headers
+        ${CLUCENE_LIBRARY_DIR}            #CLucene/clucene-config.h
+        ${SWORD_INCLUDE_DIR}
+        ${Qt5PrintSupport_INCLUDE_DIRS}
+        ${Qt5WebKitWidgets_INCLUDE_DIRS}
+        ${Qt5Widgets_INCLUDE_DIRS}
+        ${Qt5Xml_INCLUDE_DIRS}
+    )
+ELSE (Qt5Core_FOUND)
+    INCLUDE_DIRECTORIES(
+        ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
+        ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
+        ${CLUCENE_INCLUDE_DIR}            #CLucene headers
+        ${CLUCENE_LIBRARY_DIR}            #CLucene/clucene-config.h
+        ${SWORD_INCLUDE_DIR}
+    )
+ENDIF (Qt5Core_FOUND)
+
+IF (Qt5Core_FOUND)
+    QT5_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})
+    QT5_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})
+ELSE (Qt5Core_FOUND)
+    QT4_WRAP_UI(bibletime_UIS_H ${bibletime_UIS})
+    QT4_WRAP_CPP(bibletime_MOC_SOURCES ${bibletime_MOCABLE_HEADERS})
+ENDIF (Qt5Core_FOUND)
 
 SOURCE_GROUP("QM Files" REGULAR_EXPRESSION ".*\\.qm")
 
@@ -160,26 +194,43 @@
 #    )
 #ENDIF (CMAKE_BUILD_TYPE STREQUAL "Release")
 
-INCLUDE(${QT_USE_FILE})
-TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
-    ${QT_LIBRARIES}
-    ${CLUCENE_LIBRARY}
-    ${CURL_LIBRARIES} # optional, empty if not found
-    ${ICU_LIBRARIES} # optional, empty if not found
-    ${ICU_I18N_LIBRARIES} # optional, empty if not found
-    ${ZLIB_LIBRARIES} # optional, empty if not found
-    ${SWORD_LIBRARY}
-)
+IF (Qt5Core_FOUND)
+    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
+        ${Qt5Widgets_LIBRARIES}
+        ${Qt5Xml_LIBRARIES}
+        ${Qt5Core_LIBRARIES}
+        ${Qt5WebKitWidgets_LIBRARIES}
+        ${Qt5WebKit_LIBRARIES}
+        ${Qt5PrintSupport_LIBRARIES}
+        ${CLUCENE_LIBRARY}
+        ${CURL_LIBRARIES} # optional, empty if not found
+        ${ICU_LIBRARIES} # optional, empty if not found
+        ${ICU_I18N_LIBRARIES} # optional, empty if not found
+        ${ZLIB_LIBRARIES} # optional, empty if not found
+        ${SWORD_LIBRARY}
+    )
+    qt5_use_modules(${EXECUTABLE_NAME} Widgets WebKit Network)
+ELSE (Qt5Core_FOUND)
+    INCLUDE(${QT_USE_FILE})
+    TARGET_LINK_LIBRARIES(${EXECUTABLE_NAME}
+        ${QT_LIBRARIES}
+        ${CLUCENE_LIBRARY}
+        ${CURL_LIBRARIES} # optional, empty if not found
+        ${ICU_LIBRARIES} # optional, empty if not found
+        ${ICU_I18N_LIBRARIES} # optional, empty if not found
+        ${ZLIB_LIBRARIES} # optional, empty if not found
+        ${SWORD_LIBRARY}
+    )
+ENDIF (Qt5Core_FOUND)
 
 IF (APPLE)
      # enable support MacOS 10.5+
     SET_TARGET_PROPERTIES(${EXECUTABLE_NAME}
         PROPERTIES
-            COMPILE_FLAGS   "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
-            LINK_FLAGS      "-mmacosx-version-min=10.5 -isysroot /Developer/SDKs/MacOSX10.5.sdk"
-    )
-ENDIF (APPLE)
-
+            COMPILE_FLAGS   "-mmacosx-version-min=10.5 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk/"
+            LINK_FLAGS      "-mmacosx-version-min=10.5 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.8.sdk/ -F /Library/Frameworks/"
+    )
+ENDIF (APPLE)
 
 IF (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "install/") #install to ./build/install, allow override
@@ -216,14 +267,8 @@
     DESTINATION "${BT_SHARE_PATH}bibletime/icons/"
 )
 # display templates
-FILE(GLOB INSTALL_DISPLAY_TEMPLATES_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.tmpl)
-INSTALL(FILES ${INSTALL_DISPLAY_TEMPLATES_LIST}
-    DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/"
-)
-FILE(GLOB INSTALL_DISPLAY_CSS_LIST ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/*.css)
-INSTALL(FILES ${INSTALL_DISPLAY_CSS_LIST}
-    DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/"
-)
+INSTALL(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/
+        DESTINATION "${BT_SHARE_PATH}bibletime/display-templates/")
 # javascript
 INSTALL(FILES "src/frontend/display/bthtml.js"
     DESTINATION "${BT_SHARE_PATH}bibletime/javascript/"

=== Makefile ===
all:
	./build-debug.sh

=== debian/changelog ===
bibletime (2.9.2-1) unstable; urgency=low

  * New upstream release

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 12 Aug 2013 21:02:54 +0100

bibletime (2.9.1-3) unstable; urgency=low

  * fix FindCLucene.cmake to look in /usr/lib/{CMAKE_LIBRARY_ARCHITECTURE}
    to find clucene-config.h with multiarched clucene (Closes: #718374)

 -- Rene Engelhard <rene@debian.org>  Tue, 30 Jul 2013 19:23:42 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: bibletime
 Section: kde
 Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
- libsword-dev (>> 1.6.2+dfsg-5), libclucene-dev, poxml, libboost-dev, cmake,
+ libsword-dev (>= 1.5.11), libclucene-dev, poxml, libboost-dev, cmake,
  pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev (<= 4:4.7.0~beta1)
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
+Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
  Dmitrijs Ledkovs <xnox@debian.org>, 
  Jonathan Marsden <jmarsden@fastmail.fm>

=== debian/rules ===
#!/usr/bin/make -f
ppa:=$(shell sed -n "1s/.*~.*/yes/p" debian/changelog)

%:
	dh $@ --with quilt -Scmake --parallel
override_dh_clean:
	echo $(if $(ppa),"1.0","3.0 (quilt)") > debian/source/format
	dh_clean

=== debian/watch ===
version=3

http://sf.net/bibletime/bibletime-([\d\.]+).tar.[bg]z2?

## bibletime 2.10.1

=== CMakeLists.txt ===
PROJECT(bibletime CXX C)
CMAKE_MINIMUM_REQUIRED(VERSION 2.8.9)

IF("${CMAKE_CURRENT_BINARY_DIR}" STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
  MESSAGE(FATAL_ERROR "You probably didn't mean to run CMake from this directory. Now you have all messed up! You'd better delete CMakeFiles/ and CMakeCache.txt or things will break!")
ENDIF()

SET(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")


################################################################################
# BibleTime version
################################################################################
# NOTICE! The version number must only be changed during the release procedures
#  A N D   N O T  during development or bug-fixing. This guarantees that all
# versions of BibleTime between OLDVERSION and NEXTVERSION have version strings
# in the form of OLDVERSION+githash where githash is the git commit hash ID.
#
# Note: for pre-#.#.0 versions, use the following suffixes:
#   _dev      if pre-beta1
#   _beta1    if post-beta1
#   _beta2    if post-beta2
#   _rc1    if post-rc1
#   _rc2    if post-rc2
# For post-full-release versions, no suffix is used.

SET(BT_VERSION_MAJOR "2")
SET(BT_VERSION_MINOR "10")
SET(BT_VERSION_PATCH "1")
SET(BT_VERSION_BUILD "") # Temporarily uncomment this line for release procedures


# Determine build, if needed:
IF(NOT (DEFINED BT_VERSION_BUILD))
  FIND_PACKAGE(Git)
  IF(NOT GIT_FOUND)
    FIND_PROGRAM(GIT_EXECUTABLE NAMES git)
    IF(GIT_EXECUTABLE)
      SET(GIT_FOUND TRUE)
    ENDIF()
  ENDIF()
  IF(GIT_FOUND)
    FUNCTION(BtGitRevision out)
      EXECUTE_PROCESS(COMMAND ${GIT_EXECUTABLE} rev-parse HEAD
                      WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                      ERROR_QUIET
                      RESULT_VARIABLE resVar
                      OUTPUT_VARIABLE outVar
                      OUTPUT_STRIP_TRAILING_WHITESPACE)
      IF(${resVar} EQUAL 0)
        STRING(TOLOWER "${outVar}" hashCandidate)
        STRING(REGEX MATCH "^[0123456789abcdef]+$" hasHash "${hashCandidate}")
        IF(hasHash)
          STRING(LENGTH "${hashCandidate}" hashLength)
          IF(hashLength EQUAL 40)
            SET(${out} "${hashCandidate}" PARENT_SCOPE)
          ENDIF()
        ENDIF()
      ENDIF()
    ENDFUNCTION()
    BtGitRevision(BibleTimeGitRevision)
    IF(DEFINED BibleTimeGitRevision)
      SET(BT_VERSION_BUILD "+${BibleTimeGitRevision}")
    ENDIF()
  ENDIF()
ENDIF()

SET(BT_VERSION_FULL "${BT_VERSION_MAJOR}.${BT_VERSION_MINOR}.${BT_VERSION_PATCH}${BT_VERSION_BUILD}")
MESSAGE(STATUS "Setting up build environment for BibleTime version ${BT_VERSION_FULL}")

ADD_DEFINITIONS(-DBT_VERSION="${BT_VERSION_FULL}")

# Define debug flags
IF(NOT (CMAKE_BUILD_TYPE STREQUAL "Release"))
  SET(CMAKE_BUILD_TYPE "Debug")
  ADD_DEFINITIONS("-DBT_DEBUG")
ELSE()
  ADD_DEFINITIONS("-DBT_NO_DEBUG" "-DNDEBUG" "-DQT_NO_DEBUG")
ENDIF()

#Non-English locales to be processed and installed for handbook and howto
#WARNING: If you modify HANDBOOK_LOCALE_LANGS or HOWTO_LOCALE_LANGS,
#also modify the po4a conf files in cmake/docs/ to make sure all languages are processed.
LIST(APPEND HANDBOOK_LOCALE_LANGS ar cs de es fi fr hu it nl pt_BR)
LIST(APPEND HOWTO_LOCALE_LANGS ar bg cs da de es fi fr it hu ko nl pt_BR ru)

# Automatically link Qt executables to qtmain target on Windows
IF(MSVC)
  cmake_policy(SET CMP0020 NEW)
ENDIF()

# SET INSTALLATION PATHS
IF(APPLE)
  SET(BT_DESTINATION "../MacOS")
  SET(BT_SHARE_PATH "../share")
ELSE()
  SET(BT_DESTINATION "bin")
  SET(BT_SHARE_PATH "share")
ENDIF()

IF(NOT BT_FORCE_USE_QT4)
  # Automatically use Qt5 if available
  FIND_PACKAGE(Qt5Core QUIET)
ENDIF()

# Find required packages
IF(Qt5Core_FOUND)
  FIND_PACKAGE(Qt5LinguistTools REQUIRED)
  FIND_PACKAGE(Qt5Widgets REQUIRED)
  FIND_PACKAGE(Qt5DBus QUIET)
  IF(Qt5DBus_FOUND AND NOT APPLE)
    set(BT_Use_DBus TRUE)
  ELSE()
    set(BT_Use_DBus FALSE)
  ENDIF()
  MESSAGE( "-- Found Qt " ${Qt5Core_VERSION})
ELSE()
  SET(QT_MIN_VERSION 4.5.0)
  SET(QT_USE_QTXML 1)
  SET(QT_USE_QTWEBKIT 1)
  SET(QT_USE_QTMAIN 1)
  FIND_PACKAGE(Qt4 REQUIRED)
  IF(QT_QTDBUS_FOUND AND NOT APPLE)
    set(BT_Use_DBus TRUE)
  ELSE()
    set(BT_Use_DBus FALSE)
  ENDIF()
  MESSAGE( "-- Found Qt " ${QTVERSION})
ENDIF()

FIND_PACKAGE(CLucene REQUIRED)
FIND_PACKAGE(Sword 1.7.0 REQUIRED)

# Define $bibletime_SOURCES
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTSourceFileList.cmake")

#
# The actual build options
#
INCLUDE_DIRECTORIES(
    ${CMAKE_CURRENT_BINARY_DIR}        #for .h files generated from .ui
    ${CMAKE_CURRENT_SOURCE_DIR}/src    # so that include paths like "frontend/..." work
    ${CLucene_INCLUDE_DIR}            #CLucene headers
    ${CLucene_LIBRARY_DIR}            #CLucene/clucene-config.h
    ${Sword_INCLUDE_DIRS}
)

#This must come before the target definition!
LINK_DIRECTORIES(${CLucene_LIBRARY_DIR})

IF(MSVC)
  ADD_EXECUTABLE("bibletime" WIN32 ${common_bibletime_SOURCES})
ELSE()
  ADD_EXECUTABLE("bibletime" ${common_bibletime_SOURCES})
ENDIF()

IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "btm")
ELSEIF(APPLE)
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "BibleTime")
ELSE()
  SET_TARGET_PROPERTIES("bibletime" PROPERTIES OUTPUT_NAME "bibletime")
ENDIF()

# Define rules to generate ${bibletime_UI_translations} files
INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTUITranslation.cmake")

IF(Qt5Core_FOUND)
  TARGET_LINK_LIBRARIES("bibletime"
      ${CLucene_LIBRARY}
      ${Sword_LDFLAGS}
  )

  IF(${BIBLETIME_FRONTEND} STREQUAL "MOBILE")
    qt5_use_modules("bibletime" Widgets Qml Quick Network)
  ELSE()
    IF(BT_Use_DBus)
      qt5_use_modules("bibletime" DBus Widgets WebKit WebKitWidgets Xml Network)
    ELSE()
      qt5_use_modules("bibletime" Widgets WebKit WebKitWidgets Xml Network)
    ENDIF()
  ENDIF()
ELSE()
  IF(BT_Use_DBus)
    SET(QT_USE_QTDBUS 1) # Required by INCLUDE(${QT_USE_FILE}) below
    MESSAGE(STATUS "Using DBUS")
  ELSE()
    ADD_DEFINITIONS("-DNO_DBUS")
    MESSAGE(STATUS "No DBUS found")
  ENDIF()
  # If cmake says that qdbusxml2cpp is missing, uncomment the following line
  #SET(QT_DBUSXML2CPP_EXECUTABLE "/usr/bin/qdbusxml2cpp") #TEMP HACK?
  INCLUDE(${QT_USE_FILE})
  TARGET_LINK_LIBRARIES("bibletime"
      ${QT_LIBRARIES}
      ${CLucene_LIBRARY}
      ${Sword_LDFLAGS}
  )
ENDIF()

SET(BibleTime_CFLAGS "-Wall")
SET(BibleTime_LDFLAGS "")
IF(MSVC)
  SET(CMAKE_CXX_FLAGS_RELEASE "-DNO_DBUS -DSWUSINGDLL /MD  /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /Zc:wchar_t")
  SET(CMAKE_CXX_FLAGS_DEBUG   "-DNO_DBUS -DSWUSINGDLL /MDd /Zc:wchar_t- /W1 /D_UNICODE /DUNICODE /Zc:wchar_t /Od")
  SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} /SUBSYSTEM:WINDOWS")
ELSE()
  SET(BibleTime_CFLAGS "${BibleTime_CFLAGS} -Wextra -fpie -fexceptions")
  SET(CMAKE_CXX_FLAGS_RELEASE "-O2")
  SET(CMAKE_CXX_FLAGS_DEBUG "-ggdb")
  IF(APPLE)
    # enable support MacOS 10.5+
    SET(T "/Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/SDKs/MacOSX10.9.sdk/")
    SET(BibleTime_CFLAGS "${BibleTime_CFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T}")
    SET(BibleTime_LDFLAGS "${BibleTime_LDFLAGS} -mmacosx-version-min=10.7 -stdlib=libc++ -isysroot ${T} -F /Library/Frameworks/")
    UNSET(T)
  ENDIF()
ENDIF()

SET_TARGET_PROPERTIES("bibletime" PROPERTIES
                      COMPILE_FLAGS "${Sword_CFLAGS_OTHER} ${BibleTime_CFLAGS}"
                      LINK_FLAGS "${BibleTime_LDFLAGS}")

# Install files
#
INSTALL(TARGETS "bibletime" DESTINATION "${BT_DESTINATION}")
FILE(GLOB INSTALL_ICONS_LIST "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/*.svg")
INSTALL(FILES ${INSTALL_ICONS_LIST}
        DESTINATION "${BT_SHARE_PATH}/bibletime/icons/")
FILE(GLOB INSTALL_ICONS_LIST_PNG "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.png")
INSTALL(FILES ${INSTALL_ICONS_LIST_PNG}
        DESTINATION "${BT_SHARE_PATH}/bibletime/icons/")
INSTALL(DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/src/display-templates/"
        DESTINATION "${BT_SHARE_PATH}/bibletime/display-templates/")
INSTALL(FILES "src/frontend/display/bthtml.js"
        DESTINATION "${BT_SHARE_PATH}/bibletime/javascript/")
INSTALL(FILES "docs/license.html"
        DESTINATION "${BT_SHARE_PATH}/bibletime/license/")
INSTALL(FILES ${bibletime_QML_FILES} DESTINATION "${BT_SHARE_PATH}/qml/")
INSTALL(FILES "pics/startuplogo.png" "pics/startuplogo_christmas.png"
              "pics/startuplogo_easter.jpg"
        DESTINATION "${BT_SHARE_PATH}/bibletime/pics/")

#
# Platform specific installation
#

# Linux: application icon and desktop file:
INSTALL(FILES "${CMAKE_CURRENT_SOURCE_DIR}/pics/icons/bibletime.svg"
        DESTINATION "${BT_SHARE_PATH}/icons/")
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/platforms/linux/bibletime.desktop.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop" @ONLY)
INSTALL(FILES "${CMAKE_CURRENT_BINARY_DIR}/bibletime.desktop"
        DESTINATION "${BT_SHARE_PATH}/applications/")


IF(MSVC)
  # sword locale information
  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../locales.d/*")
  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")

  # install pdb file for debugging purposes
  IF(CMAKE_BUILD_TYPE STREQUAL "Debug")
    SET(bibletime_PDB "${bibletime_BINARY_DIR}/Debug/bibletime.pdb")
    INSTALL(FILES "${bibletime_PDB}" DESTINATION "${BT_DESTINATION}")
  ENDIF()
ENDIF()

IF(APPLE)
  # sword locale information, needed for DMG image
  FILE(GLOB INSTALL_SWORD_LOCALE_LIST "${Sword_INCLUDE_DIRS}/../../share/sword/locales.d/*")
  INSTALL(FILES ${INSTALL_SWORD_LOCALE_LIST}
          DESTINATION "${BT_SHARE_PATH}/sword/locales.d/")
ENDIF()

INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTDocumentation.cmake")

IF(WIN32 AND NOT UNIX)
  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageWindows.cmake")
ENDIF()
IF(APPLE)
  INCLUDE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/BTBinaryPackageMacOS.cmake")
ENDIF()

######################################################
# "make uninstall" target; see http://www.cmake.org/Wiki/CMake_FAQ#Can_I_do_.22make_uninstall.22_with_CMake.3F
#
CONFIGURE_FILE("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
               "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
               IMMEDIATE @ONLY)
ADD_CUSTOM_TARGET(uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
######################################################

=== debian/changelog ===
bibletime (2.10.1-3) unstable; urgency=medium

  * build dep on libsword-dev >= 1.7.3+dfsg-3 for c++ transition
  * add patch to add some keywords to bibletime.desktop
  * add patch to remove MimeType entry from bibletime.desktop
  * add patch to fix .desktop translations, Closes: #555887
      thanks to Paul Martrenchar <pmartrenchar@gmail.com>

 -- Daniel Glassey <wdg@debian.org>  Tue, 15 Sep 2015 22:23:51 +0100

bibletime (2.10.1-2) unstable; urgency=medium

  * Add patch to build without pie, fixes FTBFS on s390x (Closes: #767209)

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 03 Nov 2014 11:57:04 +0000

bibletime (2.10.1-1) unstable; urgency=medium

  [ David Sanders ]
  * New Upstream Release (Closes: #758121)

  [ Roberto C. Sanchez ]
  * debian/control: Add /me to uploaders
  * debian/control: Add links to Alioth Git repository
  * debian/control: Bumped Standards-Version to 3.9.6 (no changes)
  * debian/control: Bumped debhelper compatibility level to 9

 -- Roberto C. Sanchez <roberto@connexer.com>  Tue, 21 Oct 2014 23:26:25 -0400

bibletime (2.9.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with libsword 1.7.
    Add libsword-1.7.patch.
    Patch by Plamen Aleksandrov <plamen@aomeda.com>.
    Work done as part of a Debian GSOC 2014 project.
    Closes: #748685.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 27 Jun 2014 11:59:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: bibletime
 Section: kde
-Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~),
- libsword-dev (>= 1.5.11), libclucene-dev, poxml, libboost-dev, cmake,
+Build-Depends: quilt (>= 0.46-7~), debhelper (>= 9),
+ libsword-dev (>= 1.7.3+dfsg-3), libclucene-dev, poxml, libboost-dev, cmake,
  pkg-config, zlib1g-dev, libcurl4-gnutls-dev, libqtwebkit-dev | libqt4-dev (<= 4:4.7.0~beta1)
 Priority: optional
 Maintainer: CrossWire Packages <pkg-crosswire-devel@lists.alioth.debian.org>
 Uploaders: Daniel Glassey <wdg@debian.org>, 
  Dmitrijs Ledkovs <xnox@debian.org>, 
- Jonathan Marsden <jmarsden@fastmail.fm>
-Standards-Version: 3.9.3
+ Jonathan Marsden <jmarsden@fastmail.fm>,
+ Roberto C. Sanchez <roberto@connexer.com>
+Standards-Version: 3.9.6
 Homepage: http://www.bibletime.info/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-crosswire/bibletime.git
+Vcs-Git: git://anonscm.debian.org/pkg-crosswire/bibletime.git
 
 Package: bibletime
 Architecture: any
@@ -27,6 +30,7 @@
 
 Package: bibletime-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: bibletime
 Conflicts: bibletime-i18n

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake --parallel
